Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
unpublished.php File Reference

Go to the source code of this file.

## Variables
| $db =& eZDB::globalDatabase()
if(isset( $Action) && $Action=="Publish") if(isset( $Action) && $Action=="Delete") if(isset( $Action) && $Action=="DeleteCat") | $ini = eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZNewsFeedMain", "Language" )
| $t
| $category = new eZNewsCategory( $CategoryID )
| $pathArray = $category->path()
foreach( $pathArray as $path) | $categoryList =& $category->getByParent( $category, true )
| $i =0
| $newsList =& $category->newsList( "time", "only", $Offset, $Limit )
| $newsListCount = $category->newsListCount( "time", "only" )
| $locale = new eZLocale( $Language )
| $prevOffs = $Offset - $Limit
| $nextOffs = $Offset + $Limit
if( $prevOffs >=0) | else

## Variable Documentation

## ◆ $category

$category = new eZNewsCategory( $CategoryID )

Definition at line 141 of file unpublished.php.

## ◆ $categoryList

foreach ($pathArray as $path) $categoryList =& $category->getByParent( $category, true )

Definition at line 160 of file unpublished.php.

## ◆ $db

$db =& eZDB::globalDatabase()

Definition at line 35 of file unpublished.php.

## ◆ $i

$i =0

Definition at line 164 of file unpublished.php.

## ◆ $ini

if (isset($Action) &&$Action=="Publish") if (isset($Action) &&$Action=="Delete") if (isset($Action) &&$Action=="DeleteCat") $ini = eZINI::instance( 'site.ini' )

Definition at line 112 of file unpublished.php.

## ◆ $Language

$Language = $ini->variable( "eZNewsFeedMain", "Language" )

Definition at line 114 of file unpublished.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 207 of file unpublished.php.

## ◆ $newsList

$newsList =& $category->newsList( "time", "only", $Offset, $Limit )

Definition at line 204 of file unpublished.php.

## ◆ $newsListCount

$newsListCount = $category->newsListCount( "time", "only" )

Definition at line 205 of file unpublished.php.

## ◆ $nextOffs

$nextOffs = $Offset + $Limit

Definition at line 246 of file unpublished.php.

## ◆ $pathArray

$pathArray = $category->path()

Definition at line 148 of file unpublished.php.

## ◆ $prevOffs

$prevOffs = $Offset - $Limit

Definition at line 245 of file unpublished.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eznewsfeed/admin/" . $ini->variable( "eZNewsFeedMain", "AdminTemplateDir" ),
"kernel/eznewsfeed/admin/intl/", $Language, "unpublished.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: unpublished.php:114
$ini
if(isset( $Action) && $Action=="Publish") if(isset( $Action) && $Action=="Delete") if(isset( $Action) && $Action=="DeleteCat") $ini
Definition: unpublished.php:112

Definition at line 116 of file unpublished.php.

## ◆ else

if ($nextOffs<=$newsListCount) else

Initial value:
{
$t->set_var( "previous", "" )
$t
$t
Definition: unpublished.php:116

Definition at line 253 of file unpublished.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.